RoutesFaq module

Faq routes

URLs the Faq module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/faq/add-page/{parent.id} addPage

Add a new record. Assigns an empty record to the template.

Path parameters parent.id matches \d+

The admin template receives
VariableTypeDescription
$page Page Single (empty) Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/page/{id}/{revision.id} editPage

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$page Page Retrieved Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/pages managePages

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$pages Collection<Page> Collection of Pages

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/add-question/{parent.id} addQuestion

Add a new record. Assigns an empty record to the template.

Path parameters parent.id matches \d+

The admin template receives
VariableTypeDescription
$question Question Single (empty) Question record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/question/{id}/{revision.id} editQuestion

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$question Question Retrieved Question record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/questions manageQuestions

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$questions Collection<Question> Collection of Questions

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/add-question-comment/{question.id} addQuestionComment

Add a new record. Assigns an empty record to the template.

Path parameters question.id matches \d+

The admin template receives
VariableTypeDescription
$questionComment QuestionComment Single (empty) QuestionComment record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/question-comment/{id} editQuestionComment

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$questionComment QuestionComment Retrieved QuestionComment record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/faq/question-comments/{question.id} manageQuestionComments

Retrieve available records and assign them to the template for editing.

Path parameters question.id matches \d+

The admin template receives
VariableTypeDescription
$questionComments Collection<QuestionComment> Collection of QuestionComments

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.